io.vertx.rxjava.core.net

## Class NetSocketStream

- java.lang.Object
- - io.vertx.rxjava.core.net.NetSocketStream

- All Implemented Interfaces:
    ReadStream<NetSocket>, StreamBase

      public class NetSocketStream
      extends Object
      implements ReadStream<NetSocket>

  A `ReadStream` of `NetSocket`, used for notifying socket connections to a `NetServer`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetSocketStream(NetSocketStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetSocketStream` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `NetSocketStream` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `Object` | `getDelegate()`
    `NetSocketStream` | `handler(Handler<NetSocket> handler)` Set a data handler.
    `static NetSocketStream` | `newInstance(NetSocketStream arg)`
    `NetSocketStream` | `pause()` Pause the `ReadSupport`.
    `NetSocketStream` | `resume()` Resume reading.
    `Observable<NetSocket>` | `toObservable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Constructor Detail

    - #### NetSocketStream

          public NetSocketStream(NetSocketStream delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<NetSocket>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<NetSocket> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<NetSocket>`

    - #### exceptionHandler

          public NetSocketStream exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<NetSocket>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public NetSocketStream handler(Handler<NetSocket> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<NetSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public NetSocketStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadSupport`. While it's paused, no data will be sent to the `dataHandler`
      Specified by:
        `pause` in interface `ReadStream<NetSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public NetSocketStream resume()

      Description copied from interface: `ReadStream`
      Resume reading. If the `ReadSupport` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<NetSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public NetSocketStream endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<NetSocket>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static NetSocketStream newInstance(NetSocketStream arg)

Copyright © 2016. All rights reserved.